%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name concurrently

Name: %{?scl_prefix}nodejs-concurrently
Version: 9.1.0
Release: 1%{?dist}
Summary: Run commands concurrently
License: MIT
Group: Development/Libraries
URL: https://github.com/open-cli-tools/concurrently#readme
Source0: https://registry.npmjs.org/ansi-regex/-/ansi-regex-5.0.1.tgz
Source1: https://registry.npmjs.org/ansi-styles/-/ansi-styles-4.3.0.tgz
Source2: https://registry.npmjs.org/chalk/-/chalk-4.1.2.tgz
Source3: https://registry.npmjs.org/cliui/-/cliui-8.0.1.tgz
Source4: https://registry.npmjs.org/color-convert/-/color-convert-2.0.1.tgz
Source5: https://registry.npmjs.org/color-name/-/color-name-1.1.4.tgz
Source6: https://registry.npmjs.org/concurrently/-/concurrently-9.1.0.tgz
Source7: https://registry.npmjs.org/emoji-regex/-/emoji-regex-8.0.0.tgz
Source8: https://registry.npmjs.org/escalade/-/escalade-3.2.0.tgz
Source9: https://registry.npmjs.org/get-caller-file/-/get-caller-file-2.0.5.tgz
Source10: https://registry.npmjs.org/has-flag/-/has-flag-4.0.0.tgz
Source11: https://registry.npmjs.org/is-fullwidth-code-point/-/is-fullwidth-code-point-3.0.0.tgz
Source12: https://registry.npmjs.org/lodash/-/lodash-4.17.21.tgz
Source13: https://registry.npmjs.org/require-directory/-/require-directory-2.1.1.tgz
Source14: https://registry.npmjs.org/rxjs/-/rxjs-7.8.1.tgz
Source15: https://registry.npmjs.org/shell-quote/-/shell-quote-1.8.2.tgz
Source16: https://registry.npmjs.org/string-width/-/string-width-4.2.3.tgz
Source17: https://registry.npmjs.org/strip-ansi/-/strip-ansi-6.0.1.tgz
Source18: https://registry.npmjs.org/supports-color/-/supports-color-7.2.0.tgz
Source19: https://registry.npmjs.org/supports-color/-/supports-color-8.1.1.tgz
Source20: https://registry.npmjs.org/tree-kill/-/tree-kill-1.2.2.tgz
Source21: https://registry.npmjs.org/tslib/-/tslib-2.8.1.tgz
Source22: https://registry.npmjs.org/wrap-ansi/-/wrap-ansi-7.0.0.tgz
Source23: https://registry.npmjs.org/y18n/-/y18n-5.0.8.tgz
Source24: https://registry.npmjs.org/yargs/-/yargs-17.7.2.tgz
Source25: https://registry.npmjs.org/yargs-parser/-/yargs-parser-21.1.1.tgz
Source26: nodejs-concurrently-%{version}-registry.npmjs.org.tgz
BuildRequires: nodejs-npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(ansi-regex)) = 5.0.1
Provides: bundled(npm(ansi-styles)) = 4.3.0
Provides: bundled(npm(chalk)) = 4.1.2
Provides: bundled(npm(cliui)) = 8.0.1
Provides: bundled(npm(color-convert)) = 2.0.1
Provides: bundled(npm(color-name)) = 1.1.4
Provides: bundled(npm(concurrently)) = 9.1.0
Provides: bundled(npm(emoji-regex)) = 8.0.0
Provides: bundled(npm(escalade)) = 3.2.0
Provides: bundled(npm(get-caller-file)) = 2.0.5
Provides: bundled(npm(has-flag)) = 4.0.0
Provides: bundled(npm(is-fullwidth-code-point)) = 3.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(require-directory)) = 2.1.1
Provides: bundled(npm(rxjs)) = 7.8.1
Provides: bundled(npm(shell-quote)) = 1.8.2
Provides: bundled(npm(string-width)) = 4.2.3
Provides: bundled(npm(strip-ansi)) = 6.0.1
Provides: bundled(npm(supports-color)) = 7.2.0
Provides: bundled(npm(supports-color)) = 8.1.1
Provides: bundled(npm(tree-kill)) = 1.2.2
Provides: bundled(npm(tslib)) = 2.8.1
Provides: bundled(npm(wrap-ansi)) = 7.0.0
Provides: bundled(npm(y18n)) = 5.0.8
Provides: bundled(npm(yargs)) = 17.7.2
Provides: bundled(npm(yargs-parser)) = 21.1.1
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 26 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.d.mts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/index.mjs %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}/
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/dist/bin/concurrently.js
ln -sf %{nodejs_sitelib}/%{npm_name}/dist/bin/concurrently.js %{buildroot}%{_bindir}/concurrently
chmod 0755 %{buildroot}%{nodejs_sitelib}/%{npm_name}/dist/bin/concurrently.js
ln -sf %{nodejs_sitelib}/%{npm_name}/dist/bin/concurrently.js %{buildroot}%{_bindir}/conc

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/concurrently
%{_bindir}/conc




%changelog
